# Uses of Class
org.eclipse.ui.navigator.OverridePolicy

Packages that use OverridePolicy
Package
Description
org.eclipse.ui.navigator
Provides the Common Navigator framework.

## Uses of OverridePolicy in org.eclipse.ui.navigator

Fields in org.eclipse.ui.navigator declared as OverridePolicy
Modifier and Type
Field
Description
`static final OverridePolicy[]`
OverridePolicy.`ENUM_ARRAY`
The ordered array of possible enumeration values.
`static final OverridePolicy`
OverridePolicy.`InvokeAlwaysRegardlessOfSuppressedExt`
Indicates InvokeAlwaysRegardlessOfSuppressedExt OverridePolicy as a OverridePolicy enumeration.
`static final OverridePolicy`
OverridePolicy.`InvokeOnlyIfSuppressedExtAlsoVisibleAndActive`
Indicates InvokeOnlyIfSuppressedExtAlsoVisibleAndActive OverridePolicy as a OverridePolicy enumeration.
Methods in org.eclipse.ui.navigator that return OverridePolicy
Modifier and Type
Method
Description
`static OverridePolicy`
OverridePolicy.`get(int aValue)`
Returns the correct instance of the OverridePolicy ENUM for aValue.
`static OverridePolicy`
OverridePolicy.`get(String aLiteral)`
Returns the correct instance of the OverridePolicy ENUM for aLiteral.
`OverridePolicy`
INavigatorContentDescriptor.`getOverridePolicy()`